function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
		-- CreateWindow(200,200,"6",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;


function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(496,1003,3,3,1,3,0,1,2,0,1,1);	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"6",100,"messageinfo")
		end;		
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("photo",5,1);
		DarkScreen(false);
		if flags.minicomplete5 then
		    StopEmiter("Bottle")
			speciale_action(2,228);
			setcolor(228,0,0,0,1,1);
			
			Set_Cursor(29,3);
			savegame(SaveLevel())
		return;end;
	return; end;
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("photo");
	return;end;	
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete5=true;
		playeffect("miniC");
		StartTimer(2100,2);
		BlockCursor(true);
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	if sender==1 then
	
		if id==6000 then
			CreateWindow(200,200,"6",100,"messageinfo") 
		return;end;	
		
		if objectid==0 then
			if id==1003 or id==1004 or id==1005 then
			if not mousepresed then
				add_to_mouse(id);
				mousepresed=true;
				objectid=id;
				return;end;
			return;end;	
			if id==5000 and skipping then
				if not flags.minicomplete5 then
				playeffect("skip");
					finish_mini_game(true);	
					set_pos_in_img(1003,265,0,265,465)
					set_pos_in_img(1004,118,0,118,214)
					set_pos_in_img(1005,85,0,83,149)
				return;end;
			return;end;		
			if id==1002 then
				finish_mini_game(false);
				playeffect("close");
				clear_satelite_leaf("photo");
				DeleteResource("em_0000");
				DeleteResource("em_0001");
				DeleteResource("em_0002");
				DeleteResource("em_0003");
				DeleteResource("em_0004");
				DeleteResource("em_0005");	
				DeleteResource("em_0013");	
			return;end;		
		return;end;	
	return;end;
	
	if sender==6 then
	--finish_mini_game(true);	
		if flags.minicomplete5 then
		   clear_satelite_leaf("photo");
		return;end;
		if mousepresed==true
		then
			RemoveFromMouse(objectid);
			if objectid==1003 then
				SetObjectPosition(objectid,233,124);
			end;				
			if objectid==1004 then
				SetObjectPosition(objectid,511,298);
			end;	
			if objectid==1005 then
				SetObjectPosition(objectid,671,362);
			end;	
			check_mini_game_PAS(objectid); 
			mousepresed=false;
			objectid=0;
		end
	return;end;	
		
end;

function MessageFromMinigame(nCount,Param1,Param2,Param3,Param4,Param5,Param6)
	playeffect("water");
	set_pos_in_img(Param1,265*Param2,0,265,465)
	set_pos_in_img(Param3,118*Param4,0,118,214)
	set_pos_in_img(Param5,85*Param6,0,83,149)	
end;

function mini_delete ()

end;